org.deidentifier.arx.gui.view.impl.wizard

## Class ImportWizardPageCSV

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.deidentifier.arx.gui.view.impl.wizard.ImportWizardPageCSV

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class ImportWizardPageCSV
    extends org.eclipse.jface.wizard.WizardPage

CSV page This page offers means to import data from a CSV file. It contains mechanisms to select such a file, and offers the user the ability to define the separator and whether or not the first row contains a header describing each column. A live preview makes sure the user will immediately see whether or not his choices make any sense. All of the data gathered on this page is stored within `ImportWizardModel`. This includes:

- `ImportWizardModel.setWizardColumns(List)`
- ImportWizardModel#setFirstRowContainsHeader(boolean)
- {@link ImportWizardModel#setFileLocation(String)}
- {@link ImportWizardModel#setCsvSeparator(char)}

Author:
  Karol Babioch, Fabian Prasser

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`ImportWizardPageCSV(ImportWizard wizardImport)` Creates a new instance of this page and sets its title and description.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(org.eclipse.swt.widgets.Composite parent)` Creates the design of this page This adds all the controls to the page along with their listeners.

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

### Constructor Detail

#### ImportWizardPageCSV

    public ImportWizardPageCSV(ImportWizard wizardImport)

Creates a new instance of this page and sets its title and description.

Parameters:
  `wizardImport` - Reference to wizard containing this page

### Method Detail

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

Creates the design of this page This adds all the controls to the page along with their listeners.

Parameters:
  `parent` - the parent